using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CatProject
{
    /// <summary>
    /// Логика взаимодействия для WindowNameSurname.xaml
    /// </summary>
    public partial class WindowNameSurname : Window
    {
        User user = new User();
        public WindowNameSurname(int id)
        {
            InitializeComponent();
            user = BaseClass.BaseConnect.User.FirstOrDefault(x => x.id == id);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            user.Surname = TBSurname.Text;
            user.Name = TBName.Text;
            BaseClass.BaseConnect.SaveChanges();
            this.Close();

        }
    }
}
